Bug 12704 - smbclient should not print an error if kerberos is not enforced
smbclient should not print an error if kerberos is not enforced
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
4.6.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-20 15:09 UTC by Andreas Schneider
Modified: 2017-08-30 07:00 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.6 (1.47 KB, patch)
2017-03-21 14:50 UTC, Andreas Schneider
slow: review+
Details
additional patch for 4.6 and 4.7 (1.20 KB, patch)
2017-08-24 16:37 UTC, Andreas Schneider
slow: review-
Details
additional patch for 4.6 and 4.7 (1.14 KB, patch)
2017-08-25 13:09 UTC, Andreas Schneider
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-03-20 15:09:29 UTC
smbclient should not print an error if kerberos is not enforced.

Patch will follow.
Comment 1 Volker Lendecke 2017-03-20 15:56:23 UTC
Extension: smbclient MUST NEVER even try Kerberos without -k given on the command line
Comment 2 Andreas Schneider 2017-03-21 14:50:08 UTC
Created attachment 13100 [details]
patch for 4.6
Comment 3 Ralph Böhme 2017-03-21 14:53:55 UTC
Reassigning to Karolin for inclusion in 4.6, not needed in 4.5 or 4.4. Thanks!
Comment 4 Karolin Seeger 2017-03-23 11:52:48 UTC
(In reply to Ralph Böhme from comment #3)
Pushed to autobuild-v4-6-test.
Comment 5 Karolin Seeger 2017-03-28 10:15:09 UTC
Pushed to v4-6-test.
Closing out bug report.

Thanks!
Comment 6 Andreas Schneider 2017-08-24 10:47:54 UTC
The default level of smbclient is set to 1. So we should not log it on the warning level but with notice!
Comment 7 Andreas Schneider 2017-08-24 16:37:15 UTC
Created attachment 13498 [details]
additional patch for 4.6 and 4.7
Comment 8 Ralph Böhme 2017-08-24 16:56:10 UTC
Comment on attachment 13498 [details]
additional patch for 4.6 and 4.7

Cherry-picked tag missing...
Comment 9 Andreas Schneider 2017-08-25 13:09:13 UTC
Created attachment 13503 [details]
additional patch for 4.6 and 4.7
Comment 10 Ralph Böhme 2017-08-25 13:30:27 UTC
Reassigning to Karolin for inclusion in 4.6 and 4.7.
Comment 11 Karolin Seeger 2017-08-28 08:00:42 UTC
Pushed additional patch to autobuild-v4-{7,6}-test.
Comment 12 Karolin Seeger 2017-08-30 07:00:25 UTC
Pushed to both branches.
Closing out bug report.

Thanks!